#!/bin/sh

set -e

ETCDIR=/etc/tmate-ssh-server

case $1 in
    configure)
        if test -z $2; then
	    if ! test -d $ETCDIR/keys; then
		echo "Generating ssh keys used by tmate-ssh-server ..."
		umask 022
		mkdir -p $ETCDIR
		umask 077
		cd $ETCDIR
		/usr/lib/tmate-ssh-server/libexec/create_keys.sh
		chmod 755 $ETCDIR/keys
		chmod 644 $ETCDIR/keys/*.pub
	    fi
        fi
    ;;
esac

#DEBHELPER#
